libxml_set_streams_context
qtdom
libxml Functions
PHP Manual

# libxml_use_internal_errors

Disable libxml errors and allow user to fetch error information as needed

### Description

bool libxml_use_internal_errors ([ bool `$use_errors` = false ] )

libxml_use_internal_errors allows you to disable standard libxml errors and enable user error handling.

### Parameters

`use_errors`

  Enable (`TRUE`) user error handling or disable (`FALSE`) user error handling. Disabling will also clear any existing libxml errors.

### Return Values

This function returns the previous value of `use_errors`.

### Examples

Example #1 A libxml_use_internal_errors example

This example demonstrates the basic usage of libxml errors and the value returned by this function.

`<?php
// enable user error handling
var_dump(libxml_use_internal_errors(true));
// load the document
$doc = new DOMDocument;
if (!$doc->load('file.xml')) {
foreach (libxml_get_errors() as $error) {
// handle errors here
}
libxml_clear_errors();
}
?>`

The above example will output:

    bool(false)

### See Also

- libxml_clear_errors
- libxml_get_errors